App Store Administration API Reference

Read App Store

Description

Read details of the app store

Endpoint

  • uri - /box/srv/1.1/admin/appstore/read
  • method - POST

Request Body

n/a

Response Body

Success

{
  "status": "ok",
  "guid": "<app_store_global_unique_id>",
  "name": "<app_store_name>",
  "description": "<app_store_description>",
  "icon": "<base64_String>"
  "storeitems": ["store_item_global_unique_id_1", "store_item_global_unique_id_2", ..."store_item_global_unique_id_N"],
  "authpolicies": ["active_policy_ids"]
}

Error

{
  "status": "error",
  "message": "<error_message>"
}

Update App Store

Description

Update details of the app store

Endpoint

  • uri - /box/srv/1.1/admin/appstore/update
  • method - POST

Request Body

{
  "name": "<app_store_name>",
  /*optional*/
  "description": "<app_store_description>" /*optional*/
  "storeitems": ["store_item_global_unique_id_1"] /*optional*/
  "authpolicies": [policy_ids]
}

Response Body

Success

{
  "status": "ok",
  "guid": "<app_store_global_unique_id>",
  "name": "<app_store_name>",
  "description": "<app_store_description>"
  "icon": "<base64_string>"
  "storeitems": ["store_item_global_unique_id_1", "store_item_global_unique_id_2", ..."store_item_global_unique_id_N"],
  "authpolicies": [active_policy_ids]

}

Error

{
  "status": "error",
  "message": "<error_message>"
}

Add StoreItem to App Store

Description

Add an existing Store Item to the store, making it visible in the store.

Endpoint

  • uri - /box/srv/1.1/admin/appstore/additem
  • method - POST

Request Body

{
  "guid": "<unique_store_item_id>"
}

Response Body

Success

{
  "status": "ok"
}

Error

{
  "status": "error",
  "message": "<error_message>"
}

Remove StoreItem to App Store

Description

Remove existing Store Item from the store, making it invisible in the store.

Endpoint

  • uri - /box/srv/1.1/admin/appstore/removeitem
  • method - POST

Request Body

{
  "guid": "<unique_store_item_id>"
}

Response Body

Success

{
  "status": "ok"
}

Error

{
  "status": "error",
  "message": "<error_message>"
}

Upload App Store Icon

Description

Add an icon for your store.

Endpoint

  • uri - /box/srv/1.1/admin/appstore/uploadbinary
  • method - POST

Request Body

multipart request with the image

Response Body

Success

{
  "status": "ok",
  "guid": "<app_store_global_unique_id>",
  "name": "<app_store_name>",
  "description": "<app_store_description>"
  "icon": "<base64_string>"
  "storeitems": ["store_item_global_unique_id_1", "store_item_global_unique_id_2", ..."store_item_global_unique_id_N"],
  "authpolicies": [active_policy_ids]
}

Error

{
  "status": "error",
  "message": "<error_message>"
}

List Store Items In App Store

Description

List the current items in the App Store. The "binaries" fields are defined in the Binaries Options.

Endpoint

  • uri - /box/srv/1.1/admin/appstore/liststoreitems
  • method - POST

Request Body

{}

Response Body

Success

{
  "list": [{
    "authToken": "<unique id for auth>",
    "authpolicies": [unique_policy_ids],
    "binaries": [{
      "config": {
        "bundle_id": "<ios_bundle_id>"
      },
      "storeItemBinaryVersion": 2,
      "sysModified": "Fri Nov 02 10:06:48 GMT 2012",
      "type": "iphone | android | ios | ipad",
      "url": "http://<domain>/box/srv/1.1/mas/storeitem/install?guid=dweFfHihI616y67aQB4sNGQt",
      "versions": [{
        "config": {},
        "destinationCode": "iphone | android | ios | ipad",
        "storeItemBinaryGuid": "Y8a8lFjFufZyqd1tAdjonufw",
        "storeItemBinaryModified": "Fri Nov 02 10:44:45 GMT 2012",
        "storeItemBinaryVersion": 1,
        "url": "http://<domain>/box/srv/1.1/mas/storeitem/downloadvers?guid=o1Z1S_t-hyGMXymqTzIWS4xd"
      }]
    }],
    "description": "description",
    "guid": "<unique_id>",
    "icon": "<base64_string>",
    "name": "<string_item_name>"
  }],
  "status": "ok"
}

Error

{
  "status": "error",
  "message": "<error_message>"
}

Binaries Options


Binaries field

The binaries field is an array of information about the currently uploaded Store Item Binaries. It consists of :

  • config - a field for any extra OS related configuraton. For example, the ios bundle id.
  • storeItemBinaryVersion - The current store item binary version number.
  • sysModified - The last modified date of this store item binary.
  • type - The store item binary type.
  • url - You can use this url to download the latest version this store item binary.
  • versions - An array containing a history of older Store Item Binaries (a maximum of 4 entries is kept).

Add Auth Policy

Description

add an auth policy to be used with the appstore

Endpoint

  • uri - /box/srv/1.1/admin/appstore/addpolicy
  • method POST

Request Body

{
  guid: < "policy_id" >
}

Response Body

Success

{
  "status": "ok"
}

Error

{
  "status": "error",
  "message": "<error_message>"
}

Remove Auth Policy

Description

Remove an auth policy from being used in with the appstore

Endpoint

  • uri - /box/srv/1.1/admin/appstore/addpolicy
  • method POST

Request Body

{
  guid: < "policy_id" >
}

Response Body

Success

{
  "status": "ok"
}

Error

{
  "status": "error",
  "message": "<error_message>"
}

List Auth Policies

Description

List the policies attached to the appstore

Endpoint

  • uri - /box/srv/1.1/admin/appstore/listpolicies
  • method POST

Request Body

{}

Response Body

Success

{
  "list": ["ORF5SiIH623yYmBD1ftlFOA4"],
  "status": "ok"
}

Error

{
  "status": "error",
  "message": "<error_message>"
}